### Method

# WebKit WebView load_html

#### Declaration [src]

    void
    webkit_web_view_load_html (
      WebKitWebView* web_view,
      const gchar* content,
      const gchar* base_uri
    )

#### Description [src]

Load the given `content` string with the specified `base_uri`.

If `base_uri` is not `NULL`, relative URLs in the `content` will be resolved against `base_uri` and absolute local paths must be children of the `base_uri`. For security reasons absolute local paths that are not children of `base_uri` will cause the web process to terminate. If you need to include URLs in `content` that are local paths in a different directory than `base_uri` you can build a data URI for them. When `base_uri` is `NULL`, it defaults to “about:blank”. The mime type of the document will be “text/html”. You can monitor the load operation by connecting to `WebKitWebView::load-changed` signal.

#### Parameters

`content` | `const gchar*`
| The HTML string to load.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`base_uri` | `const gchar*`
| The base URI for relative locations or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.